repo/gentoo:master commit in: dev-java/openjdk-jre-bin/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786734232.f0144ebddb951d02ed22019fe33c70d4123f10fc.arthurzam@gentoo>
commit:     f0144ebddb951d02ed22019fe33c70d4123f10fc
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Jul 29 10:23:56 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 19:03:52 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0144ebd

dev-java/openjdk-jre-bin: add 25.0.4_p7

Bug: https://bugs.gentoo.org/979647
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1585
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-java/openjdk-jre-bin/Manifest                  |  1 +
 .../openjdk-jre-bin-25.0.4_p7.ebuild               | 86 ++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-java/openjdk-jre-bin/Manifest b/dev-java/openjdk-jre-bin/Manifest
index cb143e6d7c9d..7eabf1890d3f 100644
--- a/dev-java/openjdk-jre-bin/Manifest
+++ b/dev-java/openjdk-jre-bin/Manifest
@@ -5,4 +5,5 @@ DIST OpenJDK17U-jre_x64_linux_hotspot_17.0.20_8.tar.gz 46642500 BLAKE2B b7e72dbb
 DIST OpenJDK21U-jre_x64_linux_hotspot_21.0.11_10.tar.gz 52099793 BLAKE2B 553e6a3267a8a65aa967f87f15bbeecf094a3b9b4cb7b9be1cdc1f8978b8d06cf2f30b754aa13edccb941db56bc102668a6aa756120b3e23c630e42bb228ce31 SHA512 14cb17e27c528338eb0d2ea685abaf5038a42442b1f9d61bb10b0a8761c3c9a06356f775812e2ce093f89108281e2f33461e2835bfcf314e04d2941fd09b38a2
 DIST OpenJDK21U-jre_x64_linux_hotspot_21.0.12_8.tar.gz 52069757 BLAKE2B 07f3fbfb8fd469874bfe22d6dcb52f50705ed9b36ccb6a038d2037f8f17356e51978c32dc537e6995d811947baf2d3e528a8917aa76bffe79f84a78a5432f654 SHA512 f96eeb2cfe6d104288cc986bd9f9b641791aa438c91629fad91c4c33f9b49232c47a35612afaa8a4eb1214c7bac21f82f27cf97f019e245ba34358f5c47d4b2e
 DIST OpenJDK25U-jre_x64_linux_hotspot_25.0.3_9.tar.gz 61687836 BLAKE2B ef3616cb4b1febc4f319be9144228f524a4d52074dfef431ec5f631b9c652a7e60cca731681ab615bf42a01daee37f28987283418a7a56acda3f72b02d447c96 SHA512 ea28bce0f082f7943236fc4b9e5bd8c6fd3c0c4b4204d8a8c782680565bbeb348db33cc50a93d4e744b8cc2c0e49016e90776ae735b16b1a1bbbf1571ae5e67c
+DIST OpenJDK25U-jre_x64_linux_hotspot_25.0.4_7.tar.gz 61714730 BLAKE2B fdda4e24bd5ab623699876df6d2a80e3a831488be80c87390f6fa673ab96ae14419f1c96b2acc837c2429bd187ab06f5f0b5c071be0f82641b106c5da3b60bed SHA512 934a482e2979558cffba08629933543123165c19f72d60e3f1f842bafa0340b508ab85169c9902078e3311228998c5e42e914ea1e9fe307b449c7d159e5477ef
 DIST OpenJDK8U-jre_x64_linux_hotspot_8u492b09.tar.gz 41870107 BLAKE2B c58bd972bce6c952fea83b96da352d73bcc5221e61eee02739624a8d850efa0ae73376f2052d796e72694d7f7c960faa9422cf7a57bc301bb7c60a3ccb0cd35f SHA512 0cef2f30b2974924b1001a69e5fd07278f735e932f686f0f2b63cd8eda39ca44454bf0f532b7b0120aedc1d0b6a9e10287cbddd691c4ddb67a3aea6214db98fe

diff --git a/dev-java/openjdk-jre-bin/openjdk-jre-bin-25.0.4_p7.ebuild b/dev-java/openjdk-jre-bin/openjdk-jre-bin-25.0.4_p7.ebuild
new file mode 100644
index 000000000000..b55111a48d1f
--- /dev/null
+++ b/dev-java/openjdk-jre-bin/openjdk-jre-bin-25.0.4_p7.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-vm-2
+
+abi_uri() {
+	echo "${2-$1}? (
+			https://github.com/adoptium/temurin${SLOT}-binaries/releases/download/jdk-${MY_PV}/OpenJDK${SLOT}U-jre_${1}_linux_hotspot_${MY_PV//+/_}.tar.gz
+		)"
+}
+
+MY_PV=${PV/_p/+}
+SLOT=${MY_PV%%[.+]*}
+
+SRC_URI="
+	$(abi_uri x64 amd64)
+"
+
+DESCRIPTION="Prebuilt Java JRE binaries provided by Eclipse Temurin"
+HOMEPAGE="https://adoptium.net/"
+LICENSE="GPL-2-with-classpath-exception"
+KEYWORDS="-* ~amd64"
+IUSE="alsa cups headless-awt selinux"
+
+RDEPEND="
+	media-libs/fontconfig:1.0
+	media-libs/freetype:2
+	>net-libs/libnet-1.1
+	>=sys-apps/baselayout-java-0.1.0-r1
+	>=sys-libs/glibc-2.2.5:*
+	virtual/zlib:=
+	alsa? ( media-libs/alsa-lib )
+	cups? ( net-print/cups )
+	selinux? ( sec-policy/selinux-java )
+	!headless-awt? (
+		x11-libs/libX11
+		x11-libs/libXext
+		x11-libs/libXi
+		x11-libs/libXrender
+		x11-libs/libXtst
+	)"
+
+RESTRICT="preserve-libs splitdebug"
+QA_PREBUILT="*"
+
+S="${WORKDIR}/jdk-${MY_PV}-jre"
+
+src_install() {
+	local dest="/opt/${PN}-${SLOT}"
+	local ddest="${ED}/${dest#/}"
+
+	# https://bugs.gentoo.org/922741
+	docompress "${dest}/man"
+
+	# Not sure why they bundle this as it's commonly available and they
+	# only do so on x86_64. It's needed by libfontmanager.so. IcedTea
+	# also has an explicit dependency while Oracle seemingly dlopens it.
+	rm -vf lib/libfreetype.so || die
+
+	# Oracle and IcedTea have libjsoundalsa.so depending on
+	# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
+	if ! use alsa ; then
+		rm -v lib/libjsound.* || die
+	fi
+
+	if use headless-awt ; then
+		rm -v lib/lib*{[jx]awt,splashscreen}* || die
+	fi
+
+	rm -v lib/security/cacerts || die
+	dosym -r /etc/ssl/certs/java/cacerts "${dest}"/lib/security/cacerts
+
+	dodir "${dest}"
+	cp -pPR * "${ddest}" || die
+
+	java-vm_install-env "${FILESDIR}"/${PN}.env.sh
+	java-vm_set-pax-markings "${ddest}"
+	java-vm_revdep-mask
+	java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+	java-vm-2_pkg_postinst
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.